Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.ps
Class DSCConstants

    java.lang.Object
      org.apache.xmlgraphics.ps.DSCConstants

    public final class DSCConstants

extends Object

This class defines constants with Strings for the DSC specification.

Version:
  $Id: DSCConstants.java 1345683 2012-06-03 14:50:33Z gadams $

Field Summary
`static Object` | `ATEND` Indicator for the PostScript interpreter that the value is provided later in the document (mostly in the %%Trailer section).
`static String` | `BBOX` Bounding box for the document
`static String` | `BEGIN_DATA` Indicates the start of a data section
`static String` | `BEGIN_DEFAULTS` Indicates the start of the defaults section
`static String` | `BEGIN_DOCUMENT` Indicates the start of an embedded document
`static String` | `BEGIN_EMULATION` Indicates the start of a non-PostScript section
`static String` | `BEGIN_FEATURE` Indicates the start of a PPD feature
`static String` | `BEGIN_OBJECT` Indicates the start of a graphic object
`static String` | `BEGIN_PAGE_SETUP` Indicates the start of the page setup section
`static String` | `BEGIN_PREVIEW` Indicates the start of a preview section (EPS only)
`static String` | `BEGIN_PROLOG` Indicates the start of the prolog
`static String` | `BEGIN_RESOURCE` Indicates the start of a resource (font, file, procset)
`static String` | `BEGIN_SETUP` Indicates the start of the document setup
`static String` | `COPYRIGHT` Copyright information associated with the document or resource
`static String` | `CREATION_DATE` Date and time when the document was created
`static String` | `CREATOR` Creator of the document
`static String` | `DOCUMENT_DATA` Type of data
`static String` | `DOCUMENT_MEDIA` This comment indicates all types of paper media (paper sizes, weight, color) this document requires.
`static String` | `DOCUMENT_NEEDED_RESOURCES` This comment provides a list of resources the document needs
`static String` | `DOCUMENT_SUPPLIED_RESOURCES` This comment provides a list of resources the document includes
`static String` | `EMULATION` Use for indicating an emulator being invoked in the document
`static String` | `END_COMMENTS` Explicit end of comments
`static String` | `END_DATA` Indicates the end of a data section
`static String` | `END_DEFAULTS` Indicates the end of the defaults section
`static String` | `END_DOCUMENT` Indicates the end of an embedded document
`static String` | `END_EMULATION` Indicates the end of a non-PostScript section
`static String` | `END_FEATURE` Indicates the end of a PPD feature
`static String` | `END_OBJECT` Indicates the end of a graphic object
`static String` | `END_PAGE` Deprecated. Shouldn't really use that. Bad idea. "Page" and "Trailer" end a page.
`static String` | `END_PAGE_SETUP` Indicates the end of the page setup section
`static String` | `END_PREVIEW` Indicates the end of a preview section (EPS only)
`static String` | `END_PROLOG` Indicates the end of the prolog
`static String` | `END_RESOURCE` Indicates the end of a resource (font, file, procset)
`static String` | `END_SETUP` Indicates the end of the document setup
`static String` | `EOF` Indicates the end of the document
`static String` | `EPSF_30` Lead-in for an EPS file
`static String` | `EXTENSIONS` Required PostScript Level 1 extension for this document
`static String` | `FOR` Indicates who is this document printed for
`static String` | `HIRES_BBOX` High-resolution bounding box for the document
`static String` | `INCLUDE_DOCUMENT` Indicates a referenced embedded document
`static String` | `INCLUDE_FEATURE` Indicates a referenced a PPD feature
`static String` | `INCLUDE_RESOURCE` Indicates a referenced a resource (font, file, procset)
`static String` | `LANGUAGE_LEVEL` Indicates the PostScript language level used in the document
`static String` | `NEXT_LINE` Indicates a continued line
`static String` | `ORIENTATION` Indicates the orientation of the document
`static String` | `PAGE` Indicates a page number
`static String` | `PAGE_BBOX` Bounding box for a page
`static String` | `PAGE_HIRES_BBOX` High-resolution bounding box for a page
`static String` | `PAGE_MEDIA` Indicates that the paper attributes denoted by medianame are invoked on this page.
`static String` | `PAGE_ORDER` Indicates the order of the pages
`static String` | `PAGE_ORIENTATION` Bounding box for a page
`static String` | `PAGE_REQUIREMENTS` This is the page-level invocation of a combination of the options listed in the %%Requirements: comment.
`static String` | `PAGE_RESOURCES` This comment indicates the names and values of all resources that are needed or supplied on the present page.
`static String` | `PAGE_TRAILER` Indicates the start of the page trailer
`static String` | `PAGES` Number of pages in the document
`static String` | `PS_ADOBE_30` Lead-in for a DSC-conformant PostScript file
`static String` | `REQUIREMENTS` This comment describes document requirements, such as duplex printing, hole punching, collating, or other physical document processing needs.
`static String` | `ROUTING` Indicates how the document should be routed back to its owner
`static String` | `TITLE` Title of the document
`static String` | `TRAILER` Indicates the start of the document trailer
`static String` | `VERSION` Version of the document

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PS_ADOBE_30

    public static final String PS_ADOBE_30

  Lead-in for a DSC-conformant PostScript file

  See Also:
    Constant Field Values

### EPSF_30

    public static final String EPSF_30

  Lead-in for an EPS file

  See Also:
    Constant Field Values

### BBOX

    public static final String BBOX

  Bounding box for the document

  See Also:
    Constant Field Values

### HIRES_BBOX

    public static final String HIRES_BBOX

  High-resolution bounding box for the document

  See Also:
    Constant Field Values

### COPYRIGHT

    public static final String COPYRIGHT

  Copyright information associated with the document or resource

  See Also:
    Constant Field Values

### CREATOR

    public static final String CREATOR

  Creator of the document

  See Also:
    Constant Field Values

### CREATION_DATE

    public static final String CREATION_DATE

  Date and time when the document was created

  See Also:
    Constant Field Values

### DOCUMENT_DATA

    public static final String DOCUMENT_DATA

  Type of data

  See Also:
    Constant Field Values

### EMULATION

    public static final String EMULATION

  Use for indicating an emulator being invoked in the document

  See Also:
    Constant Field Values

### END_COMMENTS

    public static final String END_COMMENTS

  Explicit end of comments

  See Also:
    Constant Field Values

### EXTENSIONS

    public static final String EXTENSIONS

  Required PostScript Level 1 extension for this document

  See Also:
    Constant Field Values

### FOR

    public static final String FOR

  Indicates who is this document printed for

  See Also:
    Constant Field Values

### LANGUAGE_LEVEL

    public static final String LANGUAGE_LEVEL

  Indicates the PostScript language level used in the document

  See Also:
    Constant Field Values

### ORIENTATION

    public static final String ORIENTATION

  Indicates the orientation of the document

  See Also:
    Constant Field Values

### PAGES

    public static final String PAGES

  Number of pages in the document

  See Also:
    Constant Field Values

### PAGE_ORDER

    public static final String PAGE_ORDER

  Indicates the order of the pages

  See Also:
    Constant Field Values

### ROUTING

    public static final String ROUTING

  Indicates how the document should be routed back to its owner

  See Also:
    Constant Field Values

### TITLE

    public static final String TITLE

  Title of the document

  See Also:
    Constant Field Values

### VERSION

    public static final String VERSION

  Version of the document

  See Also:
    Constant Field Values

### NEXT_LINE

    public static final String NEXT_LINE

  Indicates a continued line

  See Also:
    Constant Field Values

### BEGIN_DATA

    public static final String BEGIN_DATA

  Indicates the start of a data section

  See Also:
    Constant Field Values

### END_DATA

    public static final String END_DATA

  Indicates the end of a data section

  See Also:
    Constant Field Values

### BEGIN_DEFAULTS

    public static final String BEGIN_DEFAULTS

  Indicates the start of the defaults section

  See Also:
    Constant Field Values

### END_DEFAULTS

    public static final String END_DEFAULTS

  Indicates the end of the defaults section

  See Also:
    Constant Field Values

### BEGIN_EMULATION

    public static final String BEGIN_EMULATION

  Indicates the start of a non-PostScript section

  See Also:
    Constant Field Values

### END_EMULATION

    public static final String END_EMULATION

  Indicates the end of a non-PostScript section

  See Also:
    Constant Field Values

### BEGIN_PREVIEW

    public static final String BEGIN_PREVIEW

  Indicates the start of a preview section (EPS only)

  See Also:
    Constant Field Values

### END_PREVIEW

    public static final String END_PREVIEW

  Indicates the end of a preview section (EPS only)

  See Also:
    Constant Field Values

### BEGIN_PROLOG

    public static final String BEGIN_PROLOG

  Indicates the start of the prolog

  See Also:
    Constant Field Values

### END_PROLOG

    public static final String END_PROLOG

  Indicates the end of the prolog

  See Also:
    Constant Field Values

### BEGIN_SETUP

    public static final String BEGIN_SETUP

  Indicates the start of the document setup

  See Also:
    Constant Field Values

### END_SETUP

    public static final String END_SETUP

  Indicates the end of the document setup

  See Also:
    Constant Field Values

### BEGIN_OBJECT

    public static final String BEGIN_OBJECT

  Indicates the start of a graphic object

  See Also:
    Constant Field Values

### END_OBJECT

    public static final String END_OBJECT

  Indicates the end of a graphic object

  See Also:
    Constant Field Values

### BEGIN_PAGE_SETUP

    public static final String BEGIN_PAGE_SETUP

  Indicates the start of the page setup section

  See Also:
    Constant Field Values

### END_PAGE_SETUP

    public static final String END_PAGE_SETUP

  Indicates the end of the page setup section

  See Also:
    Constant Field Values

### PAGE

    public static final String PAGE

  Indicates a page number

  See Also:
    Constant Field Values

### PAGE_BBOX

    public static final String PAGE_BBOX

  Bounding box for a page

  See Also:
    Constant Field Values

### PAGE_HIRES_BBOX

    public static final String PAGE_HIRES_BBOX

  High-resolution bounding box for a page

  See Also:
    Constant Field Values

### PAGE_ORIENTATION

    public static final String PAGE_ORIENTATION

  Bounding box for a page

  See Also:
    Constant Field Values

### PAGE_TRAILER

    public static final String PAGE_TRAILER

  Indicates the start of the page trailer

  See Also:
    Constant Field Values

### TRAILER

    public static final String TRAILER

  Indicates the start of the document trailer

  See Also:
    Constant Field Values

### END_PAGE

    public static final String END_PAGE

  Deprecated. Shouldn't really use that. Bad idea. "Page" and "Trailer" end a page.
  Indicates the end of a page (NON-STANDARD!)

  See Also:
    Constant Field Values

### EOF

    public static final String EOF

  Indicates the end of the document

  See Also:
    Constant Field Values

### DOCUMENT_MEDIA

    public static final String DOCUMENT_MEDIA

  This comment indicates all types of paper media (paper sizes, weight, color) this document requires.

  See Also:
    Constant Field Values

### DOCUMENT_NEEDED_RESOURCES

    public static final String DOCUMENT_NEEDED_RESOURCES

  This comment provides a list of resources the document needs

  See Also:
    Constant Field Values

### DOCUMENT_SUPPLIED_RESOURCES

    public static final String DOCUMENT_SUPPLIED_RESOURCES

  This comment provides a list of resources the document includes

  See Also:
    Constant Field Values

### REQUIREMENTS

    public static final String REQUIREMENTS

  This comment describes document requirements, such as duplex printing, hole punching, collating, or other physical document processing needs.

  See Also:
    Constant Field Values

### BEGIN_DOCUMENT

    public static final String BEGIN_DOCUMENT

  Indicates the start of an embedded document

  See Also:
    Constant Field Values

### END_DOCUMENT

    public static final String END_DOCUMENT

  Indicates the end of an embedded document

  See Also:
    Constant Field Values

### INCLUDE_DOCUMENT

    public static final String INCLUDE_DOCUMENT

  Indicates a referenced embedded document

  See Also:
    Constant Field Values

### BEGIN_FEATURE

    public static final String BEGIN_FEATURE

  Indicates the start of a PPD feature

  See Also:
    Constant Field Values

### END_FEATURE

    public static final String END_FEATURE

  Indicates the end of a PPD feature

  See Also:
    Constant Field Values

### INCLUDE_FEATURE

    public static final String INCLUDE_FEATURE

  Indicates a referenced a PPD feature

  See Also:
    Constant Field Values

### BEGIN_RESOURCE

    public static final String BEGIN_RESOURCE

  Indicates the start of a resource (font, file, procset)

  See Also:
    Constant Field Values

### END_RESOURCE

    public static final String END_RESOURCE

  Indicates the end of a resource (font, file, procset)

  See Also:
    Constant Field Values

### INCLUDE_RESOURCE

    public static final String INCLUDE_RESOURCE

  Indicates a referenced a resource (font, file, procset)

  See Also:
    Constant Field Values

### PAGE_MEDIA

    public static final String PAGE_MEDIA

  Indicates that the paper attributes denoted by medianame are invoked on this page.

  See Also:
    Constant Field Values

### PAGE_REQUIREMENTS

    public static final String PAGE_REQUIREMENTS

  This is the page-level invocation of a combination of the options listed in the %%Requirements: comment.

  See Also:
    Constant Field Values

### PAGE_RESOURCES

    public static final String PAGE_RESOURCES

  This comment indicates the names and values of all resources that are needed or supplied on the present page.

  See Also:
    Constant Field Values

### ATEND

    public static final Object ATEND

  Indicator for the PostScript interpreter that the value is provided later in the document (mostly in the %%Trailer section).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.